local revision = tonumber(("$Revision: 62698 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-23 18:22:38 -0500 (Sat, 23 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("Ash_Cooldowns", "Ash Cooldowns")
if not Addon then return end

-- constants
local TIMER_FREQ = 21
local TIMER_ID = "CooldownsShakedown"

function Addon:Start()
    
    -- show the anchor
    Cooldowns:Set("locked", false)
    Cooldowns:UpdateSettings()
    
    -- start the bars now
    self:Display()
    
    -- schedule a new test display a every 21 seconds
    NShakedown:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, self.Display, self)
    
end

function Addon:Stop()
    
    -- hide the anchor
    Cooldowns:Set("locked", 1)
    Cooldowns:UpdateSettings()

    -- stop display scheduling
    NShakedown:RemoveTimer(TIMER_ID)
    
    -- remove all timers that are shown
    Cooldowns:RemoveAllTimers()

end

function Addon:Display()

    -- show cooldown timers, with a default duration of 20 seconds
    Cooldowns:ShowTimers(1,4)

end