local revision = tonumber(("$Revision: 62698 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-23 18:22:38 -0500 (Sat, 23 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("SimpleMinimap", "SimpleMinimap")
if not Addon then return end

function Addon:Start()
    
    -- unlock the map and movers
    simpleMinimap:GetOptions().args.lock.set("lock", false)
    simpleMinimap:GetOptions().args.lock.set("lockdown", false)
    
    -- remove the standardUI covering frames
    if simpleMinimap:IsModuleActive("movers") then
        local questWatchCoveringFrame = getglobal("questWatchCoveringFrame")
        if questWatchCoveringFrame then
            questWatchCoveringFrame:Hide()
        end

        local durabilityCoveringFrame = getglobal("durabilityCoveringFrame")
        if durabilityCoveringFrame then
            durabilityCoveringFrame:Hide()
        end
    end
end

function Addon:Stop()

    -- unlock the map and movers
    simpleMinimap:GetOptions().args.lock.set("lock", true)
    simpleMinimap:GetOptions().args.lock.set("lockdown", true)
end